
get
/v4/organizations/{organizationId}/api-keys
List the caller's own keys and those of identities the caller manages. Organization-wide api_key.manage lists all. Managing the credentials of a service account lets the holder act with that service account's rights.
Path parameters
organizationIdstring (uuid)required
Responses
200Response for status 200
Schema
object
apiKeysobject[]required
idstringorganizationIdstring | nulluserIdstring | nullprefixstringdescriptionstring | nulltiernumberissuedByUserIdstring | nullcreatedAtstringexpiresAtstring | nullrevokedAtstring | nullholderKindenumHUMANSERVICE_ACCOUNTissuedByNamestring | nullExample
{
"apiKeys": [
{
"id": "string",
"organizationId": "string",
"userId": "string",
"prefix": "string",
"description": "string",
"tier": 0,
"issuedByUserId": "string",
"createdAt": "string",
"expiresAt": "string",
"revokedAt": "string",
"holderKind": "HUMAN",
"issuedByName": "string"
}
]
}get
https://api.merkl.xyz/v4/organizations//api-keyscurl -X GET "https://api.merkl.xyz/v4/organizations/{organizationId}/api-keys"